
QGIS Application - Feature request #4273

North arrow in lower/upper centre canvas

2011-09-08 01:40 PM - andskog -

Status: Closed

Priority: Normal

Assignee:

Category: Map Canvas

Pull Request or Patch supplied:No Resolution: fixed/implemented

Easy fix?: No Copied to github as #: 14213

Description

Currently, the north arrow decoration can be set to any of the four corners of the map canvas. Additionally, I think it could be an option to

place in the lower/upper centre, which are the locations at which it actually seems to be calculated for.

Related issues:

Related to QGIS Application - Feature request # 3756: Flexible positioning of... Closed

History

#1 - 2011-12-09 08:38 AM - Paolo Cavallini

- Category set to Map Canvas

#2 - 2011-12-16 02:11 PM - Giovanni Manghi

- Target version set to Version 1.7.4

#3 - 2012-04-15 10:09 AM - Giovanni Manghi

- Target version changed from Version 1.7.4 to Version 2.0.0

#4 - 2012-10-06 02:15 AM - Pirmin Kalberer

- Target version changed from Version 2.0.0 to Future Release - Nice to have

#5 - 2012-10-27 04:58 AM - andskog -

(EDIT: Correction, seems to be calculated from the centre of the map, not from the upper or lower centre ...)

#6 - 2015-12-04 01:52 AM - Médéric RIBREUX

- Tag set to easy

Hello, bug triage...

to implement this, we need to modify some code in src/app/qgsdecorationnortharrow.cpp and add placement labels in the constructor.

I think this should be easy to fix...

#7 - 2015-12-21 09:29 AM - Duncan Runnacles

I've been having a look at doing this. I might include Feature request #3756 as well as it's all pretty much the same. I'll post here when it's done.

#8 - 2016-01-09 06:42 PM - Duncan Runnacles
https://github.com/qgis/QGIS/blob/91e1554611fe179c802e2355371ae0aa9adbc80c/src/app/qgsdecorationnortharrow.cpp#L144


I've now finished this and it has been merged into master.

#9 - 2016-01-09 07:48 PM - Nyall Dawson

- Resolution set to fixed/implemented

- Status changed from Open to Closed
